const appContext = {
	state: {
		/**
		 * 是否需要强制登录
		 */
		appUser: {
			token: null, // 登录会话token
			tokenHead: null, // 登录会话token头
			openid: null, // 微信用户OPENID
			userid: null, // 系统用户ID
			userInfo: {}, // 用户信息
			currentTime: null, // 当前时间
		},
		forcedLogin: false,
		hasLogin: false,
		userName: "", //用户账号
		wixinInfo:{}
	},
	getters: {
		appUser: state => state.appUser,
		forcedLogin: state => state.forcedLogin,
		hasLogin: state => state.hasLogin,
		userName: state => state.userName,
		wixinInfo: state => state.wixinInfo,
	},
	mutations: {
		SET_APP_USER: (state, appUser) => {
			state.appUser.token = appUser.token
			state.appUser.tokenHead = appUser.tokenHead
			state.appUser.openid = appUser.openid
			state.appUser.userid = appUser.userid
			state.appUser.currentTime = appUser.currentTime
		},
		SET_CURRENT_DATA: (state, forcedLogin) => {
			state.forcedLogin = forcedLogin
		},
		SET_CURRENT_ENV: (state, hasLogin) => {
			state.hasLogin = hasLogin
		},
		SET_CURRENT_NAME: (state, userName) => {
			state.userName = userName
		},
		SET_CURRENT_INFO: (state, wixinInfo) => {
			state.wixinInfo = wixinInfo
		},
		
	},
	actions: {
		setAppUser: ({
			commit
		}, appUser) => {
			commit('SET_APP_USER', appUser)
		},
		setforcedLogin: ({
			commit
		}, forcedLogin) => {
			commit('SET_CURRENT_DATA', forcedLogin)
		},
		sethasLogin: ({
			commit
		}, hasLogin) => {
			commit('SET_CURRENT_ENV', hasLogin)
		},
		setuserName: ({
			commit
		}, userName) => {
			commit('SET_CURRENT_NAME', userName)
		},
		setwixinInfo: ({
			commit
		}, wixinInfo) => {
			commit('SET_CURRENT_INFO', wixinInfo)
		},
		
	}
}

export default appContext
